from typing import Optional

from perxis.extensions import manager_service_pb2


def get_extension_descriptor(
        ext_host: str, ext_id: str, ext_name: str, ext_description: str,
        ext_version: str, ext_version_description: str,
        ext_deps: Optional[list[str]] = None
) -> manager_service_pb2.ExtensionDescriptor:
    if not ext_deps:
        ext_deps = []

    return manager_service_pb2.ExtensionDescriptor(
        extension=ext_id,
        title=ext_name,
        description=ext_description,
        version=ext_version,
        version_description=ext_version_description,
        deps=ext_deps,
        url=ext_host
    )
